Package org.eclipse.emf.compare.ide.ui.internal.util

# Class ExceptionUtil

java.lang.Object
org.eclipse.emf.compare.ide.ui.internal.util.ExceptionUtil

public class ExceptionUtil extends Object
This provides access to commonly used functions which need to handle exceptions.

## Constructor Summary

Constructors
Constructor
Description
`ExceptionUtil()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`handleException(Exception e, org.eclipse.compare.CompareConfiguration configuration, boolean closeEditor)`
Log exception and close editor if asked.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ExceptionUtil

public ExceptionUtil()

## Method Details

### handleException

public static void handleException(Exception e, org.eclipse.compare.CompareConfiguration configuration, boolean closeEditor)
Log exception and close editor if asked.

Parameters:
  `e` - the exception to log.
  `configuration` - the compare configuration object.
  `closeEditor` - true if you want to close editor.